
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Saltstack配置管理-业务引用haproxy / 憋错料</title>

    <meta name="description" content="Saltstack配置管理-业务引用haproxy [[email protected] ~]# mkdir /srv/salt/prod/cluster/files -p [[email protected] ~]# cd /srv/salt/prod/cluster/files [[email protected] files]# ls haproxy-outside.cfg [[email protected] files]# cat /srv/salt/prod/cluster/files/haproxy-outside.cfg    ">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Saltstack配置管理-业务引用haproxy</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>[[email&#160;protected] ~]# mkdir /srv/salt/prod/cluster/files -p</p>
<p>[[email&#160;protected] ~]# cd /srv/salt/prod/cluster/files</p>
<p>[[email&#160;protected] files]# ls</p>
<p>haproxy-outside.cfg</p>
<p>[[email&#160;protected] files]# cat /srv/salt/prod/cluster/files/haproxy-outside.cfg &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; ==============================================&gt;haproxy的配置文件</p>
<p>global</p>
<p>maxconn 100000</p>
<p>chroot /usr/local/haproxy</p>
<p>uid 99</p>
<p>gid 99</p>
<p>daemon</p>
<p>nbproc 1</p>
<p>pidfile /usr/local/haproxy/logs/haproxy.pid</p>
<p>log 127.0.0.1 local3 info</p>
<p>defaults</p>
<p>option http-keep-alive</p>
<p>maxconn 100000</p>
<p>mode http</p>
<p>timeout connect 5000ms</p>
<p>timeout client &nbsp;50000ms</p>
<p>timeout server 50000ms</p>
<p>listen stats</p>
<p>mode http</p>
<p>bind 0.0.0.0:8888</p>
<p>stats enable</p>
<p>stats uri &nbsp; &nbsp; /haproxy-status</p>
<p>stats auth &nbsp; &nbsp;haproxy:saltstack</p>
<p>frontend frontend_www_example_com</p>
<p>bind 10.0.0.11:80</p>
<p>mode http</p>
<p>option httplog</p>
<p>log global</p>
<p>default_backend backend_www_example_com</p>
<p>backend backend_www_example_com</p>
<p>option forwardfor header X-REAL-IP</p>
<p>option httpchk HEAD / HTTP/1.0</p>
<p>balance source &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; =========&gt;如果想要轮训则改为roundrobin</p>
<p>server web-node1 &nbsp;10.0.0.7:8080 check inter 2000 rise 30 fall 15</p>
<p>server web-node2 &nbsp;10.0.0.8:8080 check inter 2000 rise 30 fall 15</p>
<p>[[email&#160;protected] cluster]# cat /srv/salt/prod/cluster/haproxy-outside.sls &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;=====================&gt;业务引用haproxy的文件</p>
<p>include:</p>
<p>- haproxy.install &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; ###################先包含安装####################</p>
<p>haproxy-service: &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;######################申明id######################</p>
<p>file.managed: &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; ####################文件管理模块及方法#############</p>
<p>- name: /etc/haproxy/haproxy.cfg &nbsp; &nbsp; ###########指定haproxy的配置文件##############</p>
<p>- source: salt://cluster/files/haproxy-outside.cfg &nbsp; &nbsp;#####salt中的配置文件#########</p>
<p>- user: root</p>
<p>- group: root</p>
<p>- mode: 644</p>
<p>service.running: &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; #################模块和方法############</p>
<p>- name: haproxy &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;##################名称#################</p>
<p>- enable: True &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; ###############开机自动启动###########</p>
<p>- reload: True &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; ###############是否允许重载###########</p>
<p>- require:</p>
<p>- cmd: haproxy-init &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;###########依赖某个脚本#############</p>
<p>- watch: &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; ########监控haproxy-service的file状态#############</p>
<p>- file: haproxy-service &nbsp; &nbsp; &nbsp; &nbsp;########监控haproxy-service的file状态#############</p>
<p>haproxy项目中的top file文件</p>
<p>[[email&#160;protected] files]# cat /srv/salt/base/top.sls</p>
<p>base:</p>
<p>‘*‘:</p>
<p>- init.env_init</p>
<p>prod:</p>
<p>‘linux-node1.example.com‘:</p>
<p>- cluster.haproxy-outside</p>
<p>‘linux-node2.example.com‘:</p>
<p>- cluster.haproxy-outside</p>
<p>[[email&#160;protected] files]# salt ‘*‘ state.highstate &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; ###############高级状态下执行文件###########################</p>
<p>检测是否成功：在浏览器输入</p>
<p>http://10.0.0.7:8888/haproxy-status</p>
<p>http://10.0.0.8:8888/haproxy-status</p>
<p>用户名：haproxy &nbsp; &nbsp; &nbsp; &nbsp; 密码：saltstack</p>
<p>如果能显示haproxy页面即可</p>
<p>老男孩网址：<a href="http://www.etiantian.org" rel="external nofollow noreferrer">http://www.etiantian.org</a></p>
<p>qq：406564728</p>
<p>欢迎交流</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 19:36:05 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/saltstack-%c2%a0-haproxy/" title="saltstack &nbsp;  haproxy">saltstack &nbsp;  haproxy</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Saltstack配置管理-业务引用haproxy的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49LqNn3.html" rel="bookmark">SaltStack配置管理-业务引用keepalived</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				================&gt;keepalived的配置文件 [[email protected] cluster]# cat /srv/salt/prod/cluster/files/haproxy-outside-keepalived.conf ! Configuration File for keepalived global_defs { notification_email { [email protected] } notification_email_from [email p			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YDNzOM.html" rel="bookmark">Saltstack配置管理功能模块-haproxy</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[[email protected] base]# mkdir /srv/salt/prod/pkg [[email protected] base]# mkdir /srv/salt/prod/haproxy [[email protected] base]# mkdir /srv/salt/prod/haproxy/files [[email protected] base]# cd /srv/salt/prod/haproxy/files [[email protected] files]			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35a2VX3.html" rel="bookmark">SaltStack配置管理--状态间的关系</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SaltStack配置管理--状态间的关系 1.include的引用 需求场景:用于含有多个SLS的状态,使用include可以进行多个状态的组合 [[email protected] prod]# pwd /srv/salt/prod [[email protected] prod]# vim lamp.sls include: - apache.init - php.init - mysql.init [[email protected] prod]# vim ../base/top.sls			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KAQ2L4.html" rel="bookmark">SaltStack配置管理-jinja模板</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一篇:SaltStack配置管理-状态间关系 需求:需要apache配置文件里面监听的端口是每个minion本地的地址 saltstack默认的模板是jinjia模板 参考文档:http://docs.jinkan.org/docs/jinja2/ 两种分隔符: {% ... %} 和 {{ ... }} .前者用于执行诸如 for 循环 或赋值的语句,后者把表达式的结果打印到模板上. 如何知道salt配置文件是一个模板 需要在sls配置文件里面定义 apache.init.sls 修改配置h			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgyXoR3.html" rel="bookmark">运维自动化之：Saltstack配置管理工具安装配置使用攻略</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				系统环境: Centos 6.x 服务端(salt-master):10.1.2.11 客户端(salt-minion):10.1.2.10.10.1.2.11.10.1.2.12 安装: rpm -Uvh http://ftp.linux.ncsu.edu/pub/epel/6/i386/epel-release-6-8.noarch.rpm 服务端:yum install salt-master  客户端:yum install salt-minion 服务端配置: vim /etc/sal			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/w3vYkg0.html" rel="bookmark">Saltstack生产案例之Haproxy安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				cd /srv/salt/prod/ mkdir haproxymkdir keepalivedmkdir nginxmkdir phpmkdir memcachedmkdir pkg cd pkg vim make.sls make-pkg: pkg.installed: - pkgs: - gcc - gcc-c++ - glibc - make - autoconf - openssl - openssl-devel - pcre - pcre-devel			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NGVpJM.html" rel="bookmark">Saltstack配置管理&lpar;2&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.SaltStack安装zabbix_agent端. vim /etc/salt/states/init/zabbix_agnet.sls zabbix_agnet: pkg.installed: #pkg.removed: - names: - zabbix22-agent file.managed: - name: /etc/zabbix_agent.conf - source: salt://init/files/zabbix_agentd.conf - user: root - gro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vyYd90.html" rel="bookmark">saltstack配置管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3. 配置管理server上:vim  /etc/salt/master   //搜索找到 file_roots打开如下内容的注释:file_roots:  base:    - /srv/salt mkdir  /srv/saltcd /srv/saltvim /srv/salt/top.sls  //加入如下内容base:  '*':    - apache意思是,在所有的客户端上执行 apache模块 vim  /srv/salt/apache.sls  //加入如下内容,这个就是apac			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyY6peM.html" rel="bookmark">SaltStack配置管理之Gains与State测试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SaltStack的Grains主要是收集了minion的一些配置信息,如CPU.内存.硬盘.网络.操作系统等很少发生变化的静态数据,我们也可以在minion自定义Grains项和相应的值,Grains也可以用来匹配目标minion.SaltStack的state通过预先定制好的sls(salt state file)文件对被控制主机进行状态管理,支持包括程序包(pkg).文件(file).网络配置(network).系统服务(service).系统用户(user)等.通过sls文件定义好要达到			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/VMGRzb4.html" rel="bookmark" class="title">04-树4&period; Root of AVL Tree &lpar;25&rpar;</a>
					<div>
						04-树4. Root of AVL Tree (25) 时间限制 100 ms 内存限制 65536 kB 代码长度限制 8000 B 判题程序 Standard 作者 CHEN, Yue An A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzaBd84.html" rel="bookmark" class="title">Codeforces Round &num;318-&lpar;C&period; Bear and Poker&rpar;</a>
					<div>
						题意: 现在有n个人,每个人都持有a[i]这个价值的牌,并且每个人可以每次无限次数的使自己的牌扩大2倍,扩大3倍,然后问你是否可能使得最终所有人的牌的价值数变成一样的. 思路: 很明显,因为最后所有数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eAOxJ0.html" rel="bookmark" class="title">Sum Root to Leaf Numbers</a>
					<div>
						Sum Root to Leaf Numbers Given a binary tree containing digits from 0-9 only, each root-to-leaf path ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGEzoZ3.html" rel="bookmark" class="title">Socket异步通信学习三</a>
					<div>
						接下来是客户端部分,采用同步接收模式,在SocketClient项目中新建了一个SynServer类,用于存放socket服务器代码,和AsynServer类似,主要有4个方法: 有一个全局socke ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JkPXPM.html" rel="bookmark" class="title">java 控制反转和依赖注入的理解</a>
					<div>
						开始好好学习java基础和思想~ 控制反转(IOC)是Spring框架的核心思想,用我自己的话说,就是你要做一件事,别自己可劲new了,你就说你要干啥,然后外包出去就好~ 依赖注入(DI) 在我浅薄的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/388PvW3.html" rel="bookmark" class="title">&lbrack;转&rsqb;单点登录原理与简单实现</a>
					<div>
						一.单系统登录机制 1.http无状态协议 web应用采用browser/server架构,http作为通信协议.http是无状态协议,浏览器的每一次请求,服务器会独立处理,不与之前或之后的请求产生关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz52XA4.html" rel="bookmark" class="title">Python AES256解密算法</a>
					<div>
						base64 Base64编码,64指A-Z.a-z.0-9.+和/这64个字符,还有&quot;=&quot;号不属于编码字符,而是填充字符.为什么发明这么个编码呢,这个编码的原理很简单,&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41BgeJM.html" rel="bookmark" class="title">MBA写作串讲笔记 1</a>
					<div>
						写作串讲笔记1 串讲目录 l   论证分析:析错有口诀 l   审题立意:区分评于立 l   开篇秘籍:不再怕走题 l   框架制胜,三点定高低 临别叮嘱(7点) 1.     继续热身:继续热身,防 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXL5QQM.html" rel="bookmark" class="title">花菜炒肉</a>
					<div>
						先上几个做法 花菜炒肉 花椰菜炒肉 花菜炒肉 菜花炒肉怎么做					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4A6b9bM.html" rel="bookmark" class="title">C&num;输出文本树形层次，前或者后自定义空格位数</a>
					<div>
						Indent String with Spaces This example shows how to indent strings using method for padding in C#. T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgZGjg4.html" rel="bookmark" class="title">Javascript中最常用的61个经典技巧&lbrack;转&rsqb;</a>
					<div>
						1. oncontextmenu=&quot;window.event.returnValue=false&quot; 将彻底屏蔽鼠标右键&lt;table border oncontextmenu= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lkwWpM.html" rel="bookmark" class="title">【django】京东等大型网站的混合搜索是怎么实现的？</a>
					<div>
						混合搜索在各大网站如京东.淘宝都有应用,他们的原理都是什么呢?本博文将为你介绍它们的实现过程. 混合搜索的原理,用一句话来说就是:关键字id进行拼接. 混合搜索示例: 数据库设计: 视频方向: cla ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGRoWA4.html" rel="bookmark" class="title">iphone手机不同版本兼容、横竖屏</a>
					<div>
						/* 兼容问题*/ @media screen and (device-width: 320px) and (device-height: 480px) and (-webkit-device-pix ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j2aJg0.html" rel="bookmark" class="title">高通8X25Q wifi BT 调试文档</a>
					<div>
						1.蓝牙调试 主要是蓝牙的I2C地址跟 地磁仪的I2C地址冲突,被地磁仪给占用了,改回来就好了. --- a/android-lte/kernel/arch/arm/mach-msm/msm8x25/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Y1RxO0.html" rel="bookmark" class="title">js 去掉缓存的几种方式</a>
					<div>
						1.在Ajax发送请求前加上 anyAjaxObj.setRequestHeader (&quot;If-Modified-Since&quot;,&quot;0&quot;) 2.在Ajax发送请求 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AWrwa0.html" rel="bookmark" class="title">webService调用浅谈（二）</a>
					<div>
						第二种使用java语言调用webservice方法如下: 第二种方法使用的httpclient的方法,需要引入的包为apache的包 import org.apache.* 下面是测试代码: publ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YQwDr0.html" rel="bookmark" class="title">文件时间戳修改touch和查看stat和ls --time</a>
					<div>
						查看文件时间戳命令:stat awk.txtFile: `awk.txt'Size: 20  Blocks: 8  IO Block: 4096  regular fileDevice: 801h/2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JOmAnM.html" rel="bookmark" class="title">Retinex图像增强和暗通道去雾的关系及其在hdr色调恢复上的应用</a>
					<div>
						很多人都认为retinex和暗通道去雾是八杆子都打不着的增强算法.的确,二者的理论.计算方法都完全迥异,本人直接从二者的公式入手来简单说明一下,有些部分全凭臆想,不对之处大家一起讨论. 首先,为描述方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49OLwW0.html" rel="bookmark" class="title">Linux终端下 dstat 监控工具</a>
					<div>
						dstat 是一个可以取代vmstat,iostat,netstat和ifstat这些命令的多功能产品.dstat克服了这些命令的局限并增加了一些另外的功能,增加了监控项,也变得更灵活了.dstat可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXG5jV4.html" rel="bookmark" class="title">poj 2623 Sequence Median 堆的灵活运用</a>
					<div>
						I - Sequence Median Time Limit:1000MS     Memory Limit:1024KB     64bit IO Format:%I64d &amp; %I64u  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
